## org.eclipse.datatools.connectivity.oda.design
Interface ResultSetCriteria

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

    public interface ResultSetCriteria

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Result Set Criteria'. Specification of a result set criteria or characteristics. Applying the criteria may impact the data retrieved in a result set, in addition to any specification expressed in a query text.

The following features are supported:

- `Filter Specification`
- `Row Ordering`

Since:
  3.3 (DTP 1.8)
See Also:
  `DesignPackage.getResultSetCriteria()`

Field Summary
`static java.lang.String` `copyright`

Method Summary
`void` `addRowSortKey(SortKey sortKey)` Adds the specified `SortKey` to the specification of ordering the result set rows.
`FilterExpression` `getFilterSpecification()` Returns the value of the 'Filter Specification' containment reference.
`SortSpecification` `getRowOrdering()` Returns the value of the 'Row Ordering' containment reference.
`void` `setFilterSpecification(FilterExpression value)` Sets the value of the '`Filter Specification`' containment reference.
`void` `setRowOrdering(SortSpecification value)` Sets the value of the '`Row Ordering`' containment reference.

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### copyright

    static final java.lang.String copyright

  See Also:
    Constant Field Values

Method Detail

### getFilterSpecification

    FilterExpression getFilterSpecification()

  Returns the value of the 'Filter Specification' containment reference. Pre-defined filter specification of a result set. It may be any concrete type of FilterExpression.

  Returns:
    the value of the 'Filter Specification' containment reference.
  See Also:
    `setFilterSpecification(FilterExpression)`, `DesignPackage.getResultSetCriteria_FilterSpecification()`

### setFilterSpecification

    void setFilterSpecification(FilterExpression value)

  Sets the value of the '`Filter Specification`' containment reference.

  Parameters:
    `value` - the new value of the 'Filter Specification' containment reference.
  See Also:
    `getFilterSpecification()`

### getRowOrdering

    SortSpecification getRowOrdering()

  Returns the value of the 'Row Ordering' containment reference. Specifies the ordering of rows in a result set. An empty collection explicitly indicates that the result set has no sort keys defined. Absence of this optional element, on the other hand, indicates that its row ordering specification is unknown or not available.

  Returns:
    the value of the 'Row Ordering' containment reference.
  See Also:
    `setRowOrdering(SortSpecification)`, `DesignPackage.getResultSetCriteria_RowOrdering()`

### setRowOrdering

    void setRowOrdering(SortSpecification value)

  Sets the value of the '`Row Ordering`' containment reference.

  Parameters:
    `value` - the new value of the 'Row Ordering' containment reference.
  See Also:
    `getRowOrdering()`

### addRowSortKey

    void addRowSortKey(SortKey sortKey)

  Adds the specified `SortKey` to the specification of ordering the result set rows.

  Parameters:
    `sortKey` -